@echo off

echo ct-Suche nach Intel-Chipsatz der Serie 6 im B2-Stepping:

SETLOCAL EnableDelayedExpansion
for /F %%i in ('wmic idecontroller get deviceid') do ( 	
	rem jede Zeile durchgehen
	for /F "delims=\ tokens=2" %%x in ("%%i") do (
		rem interessant ist der Teilstring hitner dem "\"
		set s=%%x 	
		if "!s:~0,3!" == "VEN" (	rem Device-Eitnrag bearbeiten
			set ven=!s:~4,4!
			set dev=!s:~13,4!
			set rev=!s:~38,2!
			
			if "!ven!" == "8086" (
				for %%d in (1C00 1C01 1C02 1C03 1C05 1C08 1C09) do (
					if "!dev!" == "%%d" (
						echo Serie-6-Chipsatz gefunden. Erkannt an: !ven!:!dev!
						if "!rev!" == "04" (
							echo 	B2-Stepping gefunden. Erkannt an: Revision: !rev!
							set affected=!ven!:!dev!:!rev!
						) else (
							echo 	kein B2-Stepping gefunden. Erkannt an: Revision: !rev!
						)
					)
				)
			)
			
		)
	)
)


echo Ergebnis:

if "%affected%" =="" (
	echo Entwarnung: Kein Intel-Chipsatz der Serie 6 mit B2-Stepping gefunden
) else (
	echo Achtung: Intel-Chipsatz der Serie 6 mit B2-Stepping gefunden. 
	echo Ihr PC ist evtl. von Intels Chipsatz-Bug betroffen
)

pause